Bug 1618466 - RT system hang due to wrong of rq's nr_running [MRG-RT]
Summary: RT system hang due to wrong of rq's nr_running [MRG-RT]
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel
Version: 2.5
Hardware: x86_64
OS: Linux
high
urgent
Target Milestone: ---
: ---
Assignee: Clark Williams
QA Contact: Jiri Kastner
Marie Dolezelova
URL:
Whiteboard:
Keywords: ZStream
Depends On: 1608672
Blocks: 1541534 1617941
TreeView+ depends on / blocked
 
Reported: 2018-08-16 17:47 UTC by Beth Uptagrafft
Modified: 2018-09-25 20:22 UTC (History)
8 users (show)

(edit)
Previously, preemption was enabled too early after a context switch. If a task was migrated to another CPU after a context switch, a mismatch between CPU and runqueue during load balancing sometimes occurred. Consequently, a runnable task on an idle CPU failed to run, and the operating system became unresponsive. This update disables preemption in the schedule_tail() function. As a result, CPU migration during post-schedule processing no longer occurs, which prevents the above mismatch. The operating system no longer hangs due to this bug.
Clone Of: 1608672
(edit)
Last Closed: 2018-09-25 20:21:47 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2789 None None None 2018-09-25 20:22 UTC

Comment 2 Clark Williams 2018-08-27 18:14:08 UTC
Added to MRG kernel build:

kernel-rt-3.10.0-693.38.1.rt56.628.el6rt

Brew URL:

https://brewweb.engineering.redhat.com/brew/buildinfo?buildID=757691

Comment 9 errata-xmlrpc 2018-09-25 20:21:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2789


Note You need to log in before you can comment on or make changes to this bug.